import 'package:flutter/material.dart';

class FValueController<T> extends ChangeNotifier {
  FValueController({
    String? name,
    String? value,
  }) {
    _name = name!;
    _value = value ?? '';
  }
  late String _name;
  String get name => _name;
  set name(String val) {
    _name = val;
    notifyListeners();
  }

  late String _value;
  String get value => _value;
  set value(String val) {
    _value = val;
    notifyListeners();
  }

  void clear() {
    name = '';
    value = '';
  }
}
